### Constructor

# Ide Diagnostic new_from_variant

#### Declaration

    IdeDiagnostic*
    ide_diagnostic_new_from_variant (
      GVariant* variant
    )

#### Description

Creates a new `GVariant` using the data contained in `variant`.

If `variant` is `NULL` or Upon failure, `NULL` is returned.

Available since: | 3.32

#### Parameters

`variant` | `GVariant`
| A `GVariant` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDiagnostic`
| A `IdeDiagnostic` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.